> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update Property: Propertyware

PUT https://api.propexo.com/v1/properties/propertyware/{property_id}
Content-Type: application/json

Update Property: Propertyware

| Method |
|---|
| updateBuilding |

Reference: https://docs.propexo.com/api-reference/propertyware-soap/properties/update-property-propertyware

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `property_id` (string, required) — The Propexo unique identifier for the property

### Body (application/json)

This endpoint expects a _v1_properties_propertyware_{property_id}_put_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `abbreviation` (string, required) — The abbreviation of the property. Example: PROP1
- `name` (string, required) — The name of the property. Example: Property 1
- `street_address_1` (string, required) — The first address line associated with the property
- `category` (enum, required) — The category of the property. This is from a limited set of data that the PMS requires.
  - Allowed values: `Residential`, `Commercial`
- `type` (enum, required) — The type of the property. This is from a limited set of data that the PMS requires.
  - Allowed values: `Apartment`, `Condo`, `Commercial`, `Du/Fourplex`, `House`, `Section 8/Affordable`, `Senior`, `Short-term/vacation`, `Student`, `Townhouse`, `Other`
- `street_address_2` (string, optional) — The second address line associated with the property
- `zip` (string, optional) — The zip code associated with the property
- `city` (string, optional) — The city associated with the property
- `county` (string, optional) — The county associated with the property
- `state` (string, optional) — The state associated with the property
- `country` (string, optional) — The country associated with the property
- `website` (string, optional) — The website URL associated with the property
- `square_footage` (string, optional) — The size of the property in square feet
- `is_active` (string, optional) — Whether or not the property is currently active
- `notes` (string, optional) — General notes about the property
- `year_built` (integer, optional) — The year the property was built

## Response

### 200

Successful response

- `meta` (V1PropertiesPropertywarePropertyIdPutOutputMeta, required)
- `result` (V1PropertiesPropertywarePropertyIdPutOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1PropertiesPropertywarePropertyIdPutOutputMeta

- `job_id` (string, required)

### V1PropertiesPropertywarePropertyIdPutOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `abbreviation` (string, required) — The abbreviation of the property. Example: PROP1
- `name` (string, required) — The name of the property. Example: Property 1
- `street_address_1` (string, required) — The first address line associated with the property
- `category` (enum, required) — The category of the property. This is from a limited set of data that the PMS requires.
  - Allowed values: `Residential`, `Commercial`
- `type` (enum, required) — The type of the property. This is from a limited set of data that the PMS requires.
  - Allowed values: `Apartment`, `Condo`, `Commercial`, `Du/Fourplex`, `House`, `Section 8/Affordable`, `Senior`, `Short-term/vacation`, `Student`, `Townhouse`, `Other`
- `street_address_2` (string, optional) — The second address line associated with the property
- `zip` (string, optional) — The zip code associated with the property
- `city` (string, optional) — The city associated with the property
- `county` (string, optional) — The county associated with the property
- `state` (string, optional) — The state associated with the property
- `country` (string, optional) — The country associated with the property
- `website` (string, optional) — The website URL associated with the property
- `square_footage` (string, optional) — The size of the property in square feet
- `is_active` (string, optional) — Whether or not the property is currently active
- `notes` (string, optional) — General notes about the property
- `year_built` (integer, optional) — The year the property was built

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "integration_id": "intg-987654321",
  "abbreviation": "PRP1",
  "name": "Sunset Villas",
  "street_address_1": "1234 Elm Street",
  "category": "Residential",
  "type": "Apartment"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-1234abcd5678efgh"
  },
  "result": {
    "integration_id": "intg-987654321",
    "property_id": "prop-123456789",
    "abbreviation": "PRP1",
    "name": "Sunset Villas",
    "street_address_1": "1234 Elm Street",
    "category": "Residential",
    "type": "Apartment",
    "street_address_2": "Building B, Apt 12",
    "zip": "90210",
    "city": "Beverly Hills",
    "county": "Los Angeles",
    "state": "CA",
    "country": "USA",
    "website": "https://www.sunsetvillas.com",
    "square_footage": "85000",
    "is_active": "true",
    "notes": "Recently renovated community with pool and gym facilities.",
    "year_built": 1998
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/properties/propertyware/property_id"

payload = {
    "integration_id": "intg-987654321",
    "abbreviation": "PRP1",
    "name": "Sunset Villas",
    "street_address_1": "1234 Elm Street",
    "category": "Residential",
    "type": "Apartment"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/properties/propertyware/property_id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg-987654321","abbreviation":"PRP1","name":"Sunset Villas","street_address_1":"1234 Elm Street","category":"Residential","type":"Apartment"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/properties/propertyware/property_id"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg-987654321\",\n  \"abbreviation\": \"PRP1\",\n  \"name\": \"Sunset Villas\",\n  \"street_address_1\": \"1234 Elm Street\",\n  \"category\": \"Residential\",\n  \"type\": \"Apartment\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/properties/propertyware/property_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg-987654321\",\n  \"abbreviation\": \"PRP1\",\n  \"name\": \"Sunset Villas\",\n  \"street_address_1\": \"1234 Elm Street\",\n  \"category\": \"Residential\",\n  \"type\": \"Apartment\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/properties/propertyware/property_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg-987654321\",\n  \"abbreviation\": \"PRP1\",\n  \"name\": \"Sunset Villas\",\n  \"street_address_1\": \"1234 Elm Street\",\n  \"category\": \"Residential\",\n  \"type\": \"Apartment\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/properties/propertyware/property_id', [
  'body' => '{
  "integration_id": "intg-987654321",
  "abbreviation": "PRP1",
  "name": "Sunset Villas",
  "street_address_1": "1234 Elm Street",
  "category": "Residential",
  "type": "Apartment"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/properties/propertyware/property_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg-987654321\",\n  \"abbreviation\": \"PRP1\",\n  \"name\": \"Sunset Villas\",\n  \"street_address_1\": \"1234 Elm Street\",\n  \"category\": \"Residential\",\n  \"type\": \"Apartment\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg-987654321",
  "abbreviation": "PRP1",
  "name": "Sunset Villas",
  "street_address_1": "1234 Elm Street",
  "category": "Residential",
  "type": "Apartment"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/properties/propertyware/property_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```